# Trading

- [Adding orders](https://faq.finerymarkets.com/api-reference/rest-api/trading/adding-orders.md)
- [add](https://faq.finerymarkets.com/api-reference/rest-api/trading/adding-orders/add.md): Places an order. Taker can specify order volume instead of order size.
- [add (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/adding-orders/add-authorized.md): Places an order on behalf of a client. Only for masters
- [add algo (synthetic and GTC orders)](https://faq.finerymarkets.com/api-reference/rest-api/trading/adding-orders/add-algo-synthetic-and-gtc-orders.md): Places new order
- [add algo order (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/adding-orders/add-algo-order-authorized.md): Places new order on behalf of a client
- [voiceTrade](https://faq.finerymarkets.com/api-reference/rest-api/trading/adding-orders/voicetrade.md): Creates voice (manual) trade. Available only for makers.
- [liquidationTrade](https://faq.finerymarkets.com/api-reference/rest-api/trading/adding-orders/liquidationtrade.md): Creates trade to liquidate counterparty positions. Available only for makers.
- [Orders & Order Book](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book.md)
- [book](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/book.md): Returns a snapshot of the specified order book with max 25 levels on each side
- [Algo orders](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/algo-orders.md)
- [order](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/algo-orders/order.md): Retrieves existing order information
- [order (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/algo-orders/order-authorized.md): Retrieves existing order information on behalf of another client
- [orders](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/algo-orders/orders.md): Retrieves list of Algo orders
- [orders (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/algo-orders/orders-authorized.md): Retrieves list of Algo orders on behalf of another client
- [Pending limit orders](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/pending-limit-orders.md): This section outlines the REST API methods available for managing pending orders, including creating, deleting, and retrieving order details.
- [del](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/pending-limit-orders/del.md): Cancels a specific pending order
- [del (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/pending-limit-orders/del-authorized.md): Cancels a specific pending order
- [delAll](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/pending-limit-orders/delall.md): Cancels all pending orders for a specified instrument.
- [delAll (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/pending-limit-orders/delall-authorized.md): Cancels all pending orders for a specified instrument.
- [\[DEPRECATED\] add (pending limit order)](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/pending-limit-orders/deprecated-add-pending-limit-order.md): Places a pending limit order at a specified price. The taker can define either the order size or the volume
- [\[DEPRECATED\] add (pending limit order) (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/pending-limit-orders/deprecated-add-pending-limit-order-authorized.md): Places a pending limit order at a specified price. A master can define either the order size or the volume
- [\[DEPRECATED\] orders](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/pending-limit-orders/deprecated-orders.md): Retrieves details of pending limit orders
- [\[DEPRECATED\] orders (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/pending-limit-orders/deprecated-orders-authorized.md): Retrieves details of pending limit orders
- [mod](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/mod.md): Replaces an order
- [del](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/del.md): Cancels an order
- [delAll](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/delall.md): Cancels all client orders or all client orders for instrument if specified
- [getAvailableQsProviders](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/getavailableqsproviders.md): Returns the list of available providers to take from
- [RFQ](https://faq.finerymarkets.com/api-reference/rest-api/trading/rfq.md)
- [getSettings](https://faq.finerymarkets.com/api-reference/rest-api/trading/rfq/getsettings.md)
- [getSettings (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/rfq/getsettings-authorized.md)
- [getUserSettings (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/rfq/getusersettings-authorized.md): Get info about sub-account RFQ settings for user
- [setUserSettings (authorized)](https://faq.finerymarkets.com/api-reference/rest-api/trading/rfq/setusersettings-authorized.md): Set info about sub-account RFQ settings for user
- [getProviders](https://faq.finerymarkets.com/api-reference/rest-api/trading/rfq/getproviders.md)
- [getSessions](https://faq.finerymarkets.com/api-reference/rest-api/trading/rfq/getsessions.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/trading.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
